B2.82a - GeForce RTX 2070 SUPER - Blender asks for OpenGL 3.3 driver

Hi,

I have a Windows 10 pro system including a GeForce RTX 2070 SUPER grafix card.
If I run Blender 2.82a it comes up with an error asking for OpenGL 3.3 driver or higher.

I downloaded the latest drivers for my card but still get this error.

What I am missing?

Thanks…

out of curiosity do you have dual screen setup?